gsl::C1DWavelet Class Reference

`#include <mia/core/gsl_wavelet.hh>`

## Public Member Functions

std::vector< double > | backward (const std::vector< double > &x) const
| C1DWavelet (EWaveletType wt, size_t k)
std::vector< double > | forward (const std::vector< double > &x) const
std::vector< double > | forward (const std::vector< float > &x) const
| ~C1DWavelet ()

## Detailed Description

Definition at line 41 of file gsl_wavelet.hh.

## Constructor & Destructor Documentation

## C1DWavelet()

gsl::C1DWavelet::C1DWavelet | ( | EWaveletType | wt,
|  | size_t | k )

## ~C1DWavelet()

gsl::C1DWavelet::~C1DWavelet | ( |  | ) |

## Member Function Documentation

## backward()

std::vector< double > gsl::C1DWavelet::backward | ( | const std::vector< double > & | x | ) | const

## forward() [1/2]

std::vector< double > gsl::C1DWavelet::forward | ( | const std::vector< double > & | x | ) | const

## forward() [2/2]

std::vector< double > gsl::C1DWavelet::forward | ( | const std::vector< float > & | x | ) | const

The documentation for this class was generated from the following file:

- gsl_wavelet.hh